Patch by Jilles Tjoelker <jilles AT stack DOT nl>

Due to a hybrid 7.0 bug, users on hybrid 7.0 servers cannot receive invites
when their server directly connects to a ratbox 2 or hybrid 7.1 server.

The hybrid 7.0 developers had a strange idea of propagating invite notices
(i.e. -server- jack has invited jane into channel #paranoids) with :server
INVITE source target #channel. Hybrid 7.0 uses the parameter count to
distinguish between a normal invite and an "invite notice". However,
hybrid 7.1 and some versions of ratbox 2 send the channelTS on a normal
server-server invite (to avoid invites by splitriders); these invites are seen
as invite notices which are subsequently dropped because they are invalid.

This patch makes it distinguish between the two by type of the source: INVITE
messages from remote clients are treated as invites, ones coming from servers
are treated as invite notices. It was created against hybrid 7.0.3.

To apply the patch:
	cd SRC
	patch -p0 < hybrid-7.0-invite.patch
	cd modules
	make
	make install

Then on IRC:
	/quote modrestart

--- modules/m_invite.c.orig	Wed Jun 16 06:55:52 2004
+++ modules/m_invite.c	Sat Oct  8 23:43:52 2005
@@ -276,8 +276,11 @@
    * would only have been sent if the channel was in ParanoidMode to
    * begin with, so the check here is redundant.
    */
+  /* fixed for :source INVITE target #channel channelTS
+   * as sent by hybrid 7.1 and some versions of ratbox 2
+   * -- jilles */
 
-  if (parc < 4)
+  if (IsClient(source_p))
   {
     source_client_p = source_p;
 
